from pathlib import Path
import os

APPLICATION: str = "rvn"
VERSION: str = "0.1.0"
PROJECT_PATH: str = Path(__file__).parents[1].resolve()
PASSPHRASE = os.environ.get('PASSPARTOUT')

# ##################################################################################### #
# Chemin des dossiers
CONFIG: str = f"{PROJECT_PATH}/config"
FONTS: str = f"{PROJECT_PATH}/static/fonts"
IMG: str = f"{PROJECT_PATH}/static/img"
# ##################################################################################### #

# ##################################################################################### #
# Template excel (clé, correspondance de la colonne dans le fichier excel)
EXCEL_COLONNES = {
    'numero_etudiant': 'Individu - Code Etudiant',
    'notes': 'Notes',
    'nom': 'Individu - Nom',
    'prenom': 'Individu - Prénom',
    'date_naissance': 'Date de naissance',
    'composante': 'CompoSANTÉ (lib.)',
    'libelle_parcours': 'IAE - Etape (lib.)',
    'libelle_ueo': 'UEO '
}
# ##################################################################################### #

# ##################################################################################### #
# METADATA PDF
SUJET = 'Attestation UEO UR'
AUTEUR = 'Université de la Réunion'
